Index: /trunk/MacFaceLibrary/CPUUsage.cs
===================================================================
--- /trunk/MacFaceLibrary/CPUUsage.cs	(revision 24)
+++ /trunk/MacFaceLibrary/CPUUsage.cs	(revision 24)
@@ -0,0 +1,20 @@
+/*
+ * $Id$
+ */
+using System;
+
+namespace MacFace
+{
+	/// <summary>
+	/// CPUUsage ÌTvÌà¾Å·B
+	/// </summary>
+	public class CPUUsage
+	{
+		public CPUUsage()
+		{
+			// 
+			// TODO: RXgN^ WbNð±±ÉÇÁµÄ­¾³¢B
+			//
+		}
+	}
+}
Index: /trunk/MacFaceLibrary/CPUUsageCounter.cs
===================================================================
--- /trunk/MacFaceLibrary/CPUUsageCounter.cs	(revision 24)
+++ /trunk/MacFaceLibrary/CPUUsageCounter.cs	(revision 24)
@@ -0,0 +1,255 @@
+/*
+ * $Id$
+ */
+using System;
+
+namespace MacFace
+{
+	/// <summary>
+	/// HostStatistics ÌTvÌà¾Å·B
+	/// </summary>
+	public class HostStatistics
+	{
+		public HostStatistics()
+		{
+			// 
+			// TODO: RXgN^ WbNð±±ÉÇÁµÄ­¾³¢B
+			//
+		}
+	}
+}
+
+/*
+
+typedef struct {
+    int freePages;
+    int activePages;
+    int inactivePages;
+    int wirePages;
+    int faults;
+    int pageins;
+    int pageouts;
+    unsigned long userTicks;
+    unsigned long systemTicks;
+    unsigned long idleTicks;
+    unsigned long niceTicks;
+} HostStatData;
+
+typedef struct {
+    int incount;
+    int outcount;
+} Pageio;
+
+typedef struct {
+    float user;
+    float system;
+    float idle;
+    float nice;
+} CPUUsage;
+
+typedef struct {
+    HostStatData stat;
+    Pageio pageio;
+    CPUUsage usage;
+} StatisticsRecord;
+
+@interface HostStatistics : NSObject
+{
+    StatisticsRecord *ringBuffer;
+    int bufMaxLen;
+    int bufHead;
+    int bufTail;
+    int bufLen;
+    int totalPages;
+    int minUsedPages;
+    int maxUsedPages;
+}
+
++ (unsigned int)vmPageSize;
++ (NSString*)kernelVersion;
++ (void)getStatistics:(HostStatData*)data;
+
+- (id)initWithCapacity:(unsigned)capacity;
+- (void)update;
+- (int)totalPages;
+- (int)minUsedPages;
+- (int)maxUsedPages;
+- (int)length;
+- (const StatisticsRecord*)indexAt:(unsigned)index;
+- (const StatisticsRecord*)head;
+- (const StatisticsRecord*)tail;
+@end
+
+#import <mach/mach.h>
+#import <mach/mach_types.h>
+#import "HostStatistics.h"
+
+//
+//
+static void hostStatistics(HostStatData *data)
+{
+    vm_statistics_data_t vm_stat;
+    mach_msg_type_number_t vm_count = HOST_VM_INFO_COUNT;
+    host_cpu_load_info_data_t load_info;
+    mach_msg_type_number_t load_info_count = HOST_CPU_LOAD_INFO_COUNT;
+    host_t host = mach_host_self();
+
+    host_statistics(host,HOST_VM_INFO,(host_info_t)&vm_stat, &vm_count);
+    host_statistics(host,HOST_CPU_LOAD_INFO,(host_info_t)&load_info, &load_info_count);
+
+    data->freePages = vm_stat.free_count;
+    data->activePages = vm_stat.active_count;
+    data->inactivePages = vm_stat.inactive_count;
+    data->wirePages = vm_stat.wire_count;
+    data->faults = vm_stat.faults;
+    data->pageins = vm_stat.pageins;
+    data->pageouts = vm_stat.pageouts;
+
+    data->userTicks = load_info.cpu_ticks[CPU_STATE_USER];
+    data->systemTicks = load_info.cpu_ticks[CPU_STATE_SYSTEM];
+    data->idleTicks = load_info.cpu_ticks[CPU_STATE_IDLE];
+    data->niceTicks = load_info.cpu_ticks[CPU_STATE_NICE];
+}
+
+@implementation HostStatistics
+
+//
+// ¼zL¯Ìy[WTCYðÔ·
+//
++ (unsigned int)vmPageSize
+{
+    vm_size_t page_size;
+    host_page_size(mach_host_self(),&page_size);
+    return page_size;
+}
+
+//
+// J[lÌo[W¶ñðÔ·
+//
++ (NSString*)kernelVersion
+{
+    kernel_version_t kver;
+    host_kernel_version(mach_host_self(),kver);
+    return [NSString stringWithUTF8String:kver];
+}
+
+//
+// »ÝÌvîñðÝè·é
+//
++ (void)getStatistics:(HostStatData*)data
+{
+    hostStatistics(data);
+}
+
+//
+// ú»
+//   capacity: Oobt@ÌeÊ
+//
+- (id)initWithCapacity:(unsigned)capacity
+{
+    StatisticsRecord *rec;
+
+    ringBuffer = calloc(sizeof(StatisticsRecord),capacity);
+    rec = &ringBuffer[0];
+    hostStatistics(&rec->stat);
+    rec->usage.user = 0;
+    rec->usage.system = 0;
+    rec->usage.idle = 100.0;
+    rec->usage.nice = 0;
+
+    bufMaxLen = capacity;
+    bufHead = 0;
+    bufTail = 0;
+    bufLen = 1;
+
+    totalPages = rec->stat.wirePages + rec->stat.activePages + rec->stat.inactivePages + rec->stat.freePages;
+    minUsedPages = rec->stat.wirePages + rec->stat.activePages;
+    maxUsedPages = minUsedPages;
+
+    return self;
+}
+
+//
+// ãn
+//
+- (void)dealloc
+{
+    free(ringBuffer);
+    [super dealloc];
+}
+
+//
+// ðÌXV
+//
+- (void)update
+{
+    StatisticsRecord *rec, *lastRec;
+    int user,sys,idle,nice,total;
+    int usedPages;
+
+    lastRec = &ringBuffer[bufHead];
+    if (bufLen < bufMaxLen) bufLen++;
+    if (++bufHead >= bufLen) bufHead = 0;
+    if (bufHead == bufTail)
+        if (++bufTail >= bufLen) bufTail = 0;
+    rec = &ringBuffer[bufHead];
+    hostStatistics(&rec->stat);
+
+    rec->pageio.incount = rec->stat.pageins - lastRec->stat.pageins;
+    rec->pageio.outcount = rec->stat.pageouts - lastRec->stat.pageouts;
+
+    user = rec->stat.userTicks - lastRec->stat.userTicks;
+    sys = rec->stat.systemTicks - lastRec->stat.systemTicks;
+    idle = rec->stat.idleTicks - lastRec->stat.idleTicks;
+    nice = rec->stat.niceTicks - lastRec->stat.niceTicks;
+    total = user + sys + idle + nice;
+
+    if (total > 0) {
+        rec->usage.user = user * 100.0 / total;
+        rec->usage.system = sys * 100.0 / total;
+        rec->usage.idle = idle * 100.0 / total;
+        rec->usage.nice = nice * 100.0 / total;
+    } else {
+        rec->usage = lastRec->usage;
+    }
+
+    usedPages = rec->stat.wirePages + rec->stat.activePages;
+    if( minUsedPages < usedPages) minUsedPages = usedPages;
+    if( maxUsedPages > usedPages) maxUsedPages = usedPages;
+}
+
+- (int)totalPages { return totalPages; }
+- (int)minUsedPages { return minUsedPages; }
+- (int)maxUsedPages { return maxUsedPages; }
+- (int)length { return bufLen; }
+
+//
+// wèµ½ÊuÌvîñð¾é
+//   index: Êu(ÅVª0)
+//
+- (const StatisticsRecord*)indexAt:(unsigned)index;
+{
+    if (index >= bufLen) return nil;
+    index = (index <= bufHead) ? bufHead - index : bufLen + bufHead - index;
+    return &ringBuffer[index];
+}
+
+//
+// àÁÆàVµ¢vîñðÔ·
+//
+- (const StatisticsRecord*)head
+{
+    return &ringBuffer[bufHead];
+}
+
+//
+// àÁÆàÃ¢vîñðÔ·
+//
+- (const StatisticsRecord*)tail;
+{
+    return &ringBuffer[bufTail];
+}
+
+@end
+
+*/
Index: unk/MacFaceLibrary/HostStatistics.cs
===================================================================
--- /trunk/MacFaceLibrary/HostStatistics.cs	(revision 23)
+++ 	(revision )
@@ -1,252 +1,0 @@
-using System;
-
-namespace MacFace
-{
-	/// <summary>
-	/// HostStatistics ÌTvÌà¾Å·B
-	/// </summary>
-	public class HostStatistics
-	{
-		public HostStatistics()
-		{
-			// 
-			// TODO: RXgN^ WbNð±±ÉÇÁµÄ­¾³¢B
-			//
-		}
-	}
-}
-
-/*
-
-typedef struct {
-    int freePages;
-    int activePages;
-    int inactivePages;
-    int wirePages;
-    int faults;
-    int pageins;
-    int pageouts;
-    unsigned long userTicks;
-    unsigned long systemTicks;
-    unsigned long idleTicks;
-    unsigned long niceTicks;
-} HostStatData;
-
-typedef struct {
-    int incount;
-    int outcount;
-} Pageio;
-
-typedef struct {
-    float user;
-    float system;
-    float idle;
-    float nice;
-} CPUUsage;
-
-typedef struct {
-    HostStatData stat;
-    Pageio pageio;
-    CPUUsage usage;
-} StatisticsRecord;
-
-@interface HostStatistics : NSObject
-{
-    StatisticsRecord *ringBuffer;
-    int bufMaxLen;
-    int bufHead;
-    int bufTail;
-    int bufLen;
-    int totalPages;
-    int minUsedPages;
-    int maxUsedPages;
-}
-
-+ (unsigned int)vmPageSize;
-+ (NSString*)kernelVersion;
-+ (void)getStatistics:(HostStatData*)data;
-
-- (id)initWithCapacity:(unsigned)capacity;
-- (void)update;
-- (int)totalPages;
-- (int)minUsedPages;
-- (int)maxUsedPages;
-- (int)length;
-- (const StatisticsRecord*)indexAt:(unsigned)index;
-- (const StatisticsRecord*)head;
-- (const StatisticsRecord*)tail;
-@end
-
-#import <mach/mach.h>
-#import <mach/mach_types.h>
-#import "HostStatistics.h"
-
-//
-//
-static void hostStatistics(HostStatData *data)
-{
-    vm_statistics_data_t vm_stat;
-    mach_msg_type_number_t vm_count = HOST_VM_INFO_COUNT;
-    host_cpu_load_info_data_t load_info;
-    mach_msg_type_number_t load_info_count = HOST_CPU_LOAD_INFO_COUNT;
-    host_t host = mach_host_self();
-
-    host_statistics(host,HOST_VM_INFO,(host_info_t)&vm_stat, &vm_count);
-    host_statistics(host,HOST_CPU_LOAD_INFO,(host_info_t)&load_info, &load_info_count);
-
-    data->freePages = vm_stat.free_count;
-    data->activePages = vm_stat.active_count;
-    data->inactivePages = vm_stat.inactive_count;
-    data->wirePages = vm_stat.wire_count;
-    data->faults = vm_stat.faults;
-    data->pageins = vm_stat.pageins;
-    data->pageouts = vm_stat.pageouts;
-
-    data->userTicks = load_info.cpu_ticks[CPU_STATE_USER];
-    data->systemTicks = load_info.cpu_ticks[CPU_STATE_SYSTEM];
-    data->idleTicks = load_info.cpu_ticks[CPU_STATE_IDLE];
-    data->niceTicks = load_info.cpu_ticks[CPU_STATE_NICE];
-}
-
-@implementation HostStatistics
-
-//
-// ¼zL¯Ìy[WTCYðÔ·
-//
-+ (unsigned int)vmPageSize
-{
-    vm_size_t page_size;
-    host_page_size(mach_host_self(),&page_size);
-    return page_size;
-}
-
-//
-// J[lÌo[W¶ñðÔ·
-//
-+ (NSString*)kernelVersion
-{
-    kernel_version_t kver;
-    host_kernel_version(mach_host_self(),kver);
-    return [NSString stringWithUTF8String:kver];
-}
-
-//
-// »ÝÌvîñðÝè·é
-//
-+ (void)getStatistics:(HostStatData*)data
-{
-    hostStatistics(data);
-}
-
-//
-// ú»
-//   capacity: Oobt@ÌeÊ
-//
-- (id)initWithCapacity:(unsigned)capacity
-{
-    StatisticsRecord *rec;
-
-    ringBuffer = calloc(sizeof(StatisticsRecord),capacity);
-    rec = &ringBuffer[0];
-    hostStatistics(&rec->stat);
-    rec->usage.user = 0;
-    rec->usage.system = 0;
-    rec->usage.idle = 100.0;
-    rec->usage.nice = 0;
-
-    bufMaxLen = capacity;
-    bufHead = 0;
-    bufTail = 0;
-    bufLen = 1;
-
-    totalPages = rec->stat.wirePages + rec->stat.activePages + rec->stat.inactivePages + rec->stat.freePages;
-    minUsedPages = rec->stat.wirePages + rec->stat.activePages;
-    maxUsedPages = minUsedPages;
-
-    return self;
-}
-
-//
-// ãn
-//
-- (void)dealloc
-{
-    free(ringBuffer);
-    [super dealloc];
-}
-
-//
-// ðÌXV
-//
-- (void)update
-{
-    StatisticsRecord *rec, *lastRec;
-    int user,sys,idle,nice,total;
-    int usedPages;
-
-    lastRec = &ringBuffer[bufHead];
-    if (bufLen < bufMaxLen) bufLen++;
-    if (++bufHead >= bufLen) bufHead = 0;
-    if (bufHead == bufTail)
-        if (++bufTail >= bufLen) bufTail = 0;
-    rec = &ringBuffer[bufHead];
-    hostStatistics(&rec->stat);
-
-    rec->pageio.incount = rec->stat.pageins - lastRec->stat.pageins;
-    rec->pageio.outcount = rec->stat.pageouts - lastRec->stat.pageouts;
-
-    user = rec->stat.userTicks - lastRec->stat.userTicks;
-    sys = rec->stat.systemTicks - lastRec->stat.systemTicks;
-    idle = rec->stat.idleTicks - lastRec->stat.idleTicks;
-    nice = rec->stat.niceTicks - lastRec->stat.niceTicks;
-    total = user + sys + idle + nice;
-
-    if (total > 0) {
-        rec->usage.user = user * 100.0 / total;
-        rec->usage.system = sys * 100.0 / total;
-        rec->usage.idle = idle * 100.0 / total;
-        rec->usage.nice = nice * 100.0 / total;
-    } else {
-        rec->usage = lastRec->usage;
-    }
-
-    usedPages = rec->stat.wirePages + rec->stat.activePages;
-    if( minUsedPages < usedPages) minUsedPages = usedPages;
-    if( maxUsedPages > usedPages) maxUsedPages = usedPages;
-}
-
-- (int)totalPages { return totalPages; }
-- (int)minUsedPages { return minUsedPages; }
-- (int)maxUsedPages { return maxUsedPages; }
-- (int)length { return bufLen; }
-
-//
-// wèµ½ÊuÌvîñð¾é
-//   index: Êu(ÅVª0)
-//
-- (const StatisticsRecord*)indexAt:(unsigned)index;
-{
-    if (index >= bufLen) return nil;
-    index = (index <= bufHead) ? bufHead - index : bufLen + bufHead - index;
-    return &ringBuffer[index];
-}
-
-//
-// àÁÆàVµ¢vîñðÔ·
-//
-- (const StatisticsRecord*)head
-{
-    return &ringBuffer[bufHead];
-}
-
-//
-// àÁÆàÃ¢vîñðÔ·
-//
-- (const StatisticsRecord*)tail;
-{
-    return &ringBuffer[bufTail];
-}
-
-@end
-
-*/
Index: /trunk/MacFaceLibrary/MacFaceLibrary.csproj
===================================================================
--- /trunk/MacFaceLibrary/MacFaceLibrary.csproj	(revision 23)
+++ /trunk/MacFaceLibrary/MacFaceLibrary.csproj	(revision 24)
@@ -95,4 +95,14 @@
                 />
                 <File
+                    RelPath = "CPUUsage.cs"
+                    SubType = "Code"
+                    BuildAction = "Compile"
+                />
+                <File
+                    RelPath = "CPUUsageCounter.cs"
+                    SubType = "Code"
+                    BuildAction = "Compile"
+                />
+                <File
                     RelPath = "Face.cs"
                     SubType = "Code"
@@ -105,5 +115,10 @@
                 />
                 <File
-                    RelPath = "HostStatistics.cs"
+                    RelPath = "MemoryUsage.cs"
+                    SubType = "Code"
+                    BuildAction = "Compile"
+                />
+                <File
+                    RelPath = "MemoryUsageCounter.cs"
                     SubType = "Code"
                     BuildAction = "Compile"
@@ -111,4 +126,9 @@
                 <File
                     RelPath = "Part.cs"
+                    SubType = "Code"
+                    BuildAction = "Compile"
+                />
+                <File
+                    RelPath = "Pentium4UsageCounter.cs"
                     SubType = "Code"
                     BuildAction = "Compile"
Index: /trunk/MacFaceLibrary/MemoryUsage.cs
===================================================================
--- /trunk/MacFaceLibrary/MemoryUsage.cs	(revision 24)
+++ /trunk/MacFaceLibrary/MemoryUsage.cs	(revision 24)
@@ -0,0 +1,20 @@
+/*
+ * $Id$
+ */
+using System;
+
+namespace MacFace
+{
+	/// <summary>
+	/// MemoryUsage ÌTvÌà¾Å·B
+	/// </summary>
+	public class MemoryUsage
+	{
+		public MemoryUsage()
+		{
+			// 
+			// TODO: RXgN^ WbNð±±ÉÇÁµÄ­¾³¢B
+			//
+		}
+	}
+}
Index: /trunk/MacFaceLibrary/MemoryUsageCounter.cs
===================================================================
--- /trunk/MacFaceLibrary/MemoryUsageCounter.cs	(revision 24)
+++ /trunk/MacFaceLibrary/MemoryUsageCounter.cs	(revision 24)
@@ -0,0 +1,20 @@
+/*
+ * $Id$
+ */
+using System;
+
+namespace MacFace
+{
+	/// <summary>
+	/// MemoryUsageCounter ÌTvÌà¾Å·B
+	/// </summary>
+	public class MemoryUsageCounter
+	{
+		public MemoryUsageCounter()
+		{
+			// 
+			// TODO: RXgN^ WbNð±±ÉÇÁµÄ­¾³¢B
+			//
+		}
+	}
+}
Index: /trunk/MacFaceLibrary/Pentium4UsageCounter.cs
===================================================================
--- /trunk/MacFaceLibrary/Pentium4UsageCounter.cs	(revision 24)
+++ /trunk/MacFaceLibrary/Pentium4UsageCounter.cs	(revision 24)
@@ -0,0 +1,20 @@
+/*
+ * $Id$
+ */
+using System;
+
+namespace MacFace
+{
+	/// <summary>
+	/// Pentium4UsageCounter ÌTvÌà¾Å·B
+	/// </summary>
+	public class Pentium4UsageCounter
+	{
+		public Pentium4UsageCounter()
+		{
+			// 
+			// TODO: RXgN^ WbNð±±ÉÇÁµÄ­¾³¢B
+			//
+		}
+	}
+}